<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myScenarioLabel">Create or edit a Scenario</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!scenario.id">
            <label for="id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="scenario.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_idee">Idee</label>
            <input type="text" class="form-control" name="idee" id="field_idee"
                [(ngModel)]="scenario.idee" />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_scenario">Scenario</label>
            <input type="text" class="form-control" name="scenario" id="field_scenario"
                [(ngModel)]="scenario.scenario" />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_genre">Genre</label>
            <input type="text" class="form-control" name="genre" id="field_genre"
                [(ngModel)]="scenario.genre" />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span>Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span>Save</span>
        </button>
    </div>
</form>
